

--
-- Verific VHDL Description of module aud_rom
--

library ieee ;
use ieee.std_logic_1164.all ;

entity aud_rom is
    port (a18_Address: in std_logic_vector(9 downto 0);
        a18_Q: out std_logic_vector(17 downto 0);
        a18_OutClock: in std_logic;
        a18_OutClockEn: in std_logic;
        a18_Reset: in std_logic
    );
    
end entity aud_rom; -- sbp_module=true 

architecture aud_rom of aud_rom is 
    component a18 is
        port (Address: in std_logic_vector(9 downto 0);
            Q: out std_logic_vector(17 downto 0);
            OutClock: in std_logic;
            OutClockEn: in std_logic;
            Reset: in std_logic
        );
        
    end component a18; -- not_need_bbox=true 
    
    
    
begin
    a18_inst: component a18 port map (Address(9)=>a18_Address(9),Address(8)=>a18_Address(8),
            Address(7)=>a18_Address(7),Address(6)=>a18_Address(6),Address(5)=>a18_Address(5),
            Address(4)=>a18_Address(4),Address(3)=>a18_Address(3),Address(2)=>a18_Address(2),
            Address(1)=>a18_Address(1),Address(0)=>a18_Address(0),Q(17)=>a18_Q(17),
            Q(16)=>a18_Q(16),Q(15)=>a18_Q(15),Q(14)=>a18_Q(14),Q(13)=>a18_Q(13),
            Q(12)=>a18_Q(12),Q(11)=>a18_Q(11),Q(10)=>a18_Q(10),Q(9)=>a18_Q(9),
            Q(8)=>a18_Q(8),Q(7)=>a18_Q(7),Q(6)=>a18_Q(6),Q(5)=>a18_Q(5),
            Q(4)=>a18_Q(4),Q(3)=>a18_Q(3),Q(2)=>a18_Q(2),Q(1)=>a18_Q(1),
            Q(0)=>a18_Q(0),OutClock=>a18_OutClock,OutClockEn=>a18_OutClockEn,
            Reset=>a18_Reset);
    
end architecture aud_rom; -- sbp_module=true 

