

--
-- Verific VHDL Description of module chf_rom
--

library ieee ;
use ieee.std_logic_1164.all ;

entity chf_rom is
    port (c18_Address: in std_logic_vector(9 downto 0);
        c18_Q: out std_logic_vector(17 downto 0);
        c18_OutClock: in std_logic;
        c18_OutClockEn: in std_logic;
        c18_Reset: in std_logic
    );
    
end entity chf_rom; -- sbp_module=true 

architecture chf_rom of chf_rom is 
    component c18 is
        port (Address: in std_logic_vector(9 downto 0);
            Q: out std_logic_vector(17 downto 0);
            OutClock: in std_logic;
            OutClockEn: in std_logic;
            Reset: in std_logic
        );
        
    end component c18; -- not_need_bbox=true 
    
    
    
begin
    c18_inst: component c18 port map (Address(9)=>c18_Address(9),Address(8)=>c18_Address(8),
            Address(7)=>c18_Address(7),Address(6)=>c18_Address(6),Address(5)=>c18_Address(5),
            Address(4)=>c18_Address(4),Address(3)=>c18_Address(3),Address(2)=>c18_Address(2),
            Address(1)=>c18_Address(1),Address(0)=>c18_Address(0),Q(17)=>c18_Q(17),
            Q(16)=>c18_Q(16),Q(15)=>c18_Q(15),Q(14)=>c18_Q(14),Q(13)=>c18_Q(13),
            Q(12)=>c18_Q(12),Q(11)=>c18_Q(11),Q(10)=>c18_Q(10),Q(9)=>c18_Q(9),
            Q(8)=>c18_Q(8),Q(7)=>c18_Q(7),Q(6)=>c18_Q(6),Q(5)=>c18_Q(5),
            Q(4)=>c18_Q(4),Q(3)=>c18_Q(3),Q(2)=>c18_Q(2),Q(1)=>c18_Q(1),
            Q(0)=>c18_Q(0),OutClock=>c18_OutClock,OutClockEn=>c18_OutClockEn,
            Reset=>c18_Reset);
    
end architecture chf_rom; -- sbp_module=true 

