

--
-- Verific VHDL Description of module dec10_rom
--

library ieee ;
use ieee.std_logic_1164.all ;

entity dec10_rom is
    port (dec10_Address: in std_logic_vector(9 downto 0);
        dec10_Q: out std_logic_vector(17 downto 0);
        dec10_OutClock: in std_logic;
        dec10_OutClockEn: in std_logic;
        dec10_Reset: in std_logic
    );
    
end entity dec10_rom; -- sbp_module=true 

architecture dec10_rom of dec10_rom is 
    component dec10 is
        port (Address: in std_logic_vector(9 downto 0);
            Q: out std_logic_vector(17 downto 0);
            OutClock: in std_logic;
            OutClockEn: in std_logic;
            Reset: in std_logic
        );
        
    end component dec10; -- not_need_bbox=true 
    
    
    
begin
    dec10_inst: component dec10 port map (Address(9)=>dec10_Address(9),Address(8)=>dec10_Address(8),
            Address(7)=>dec10_Address(7),Address(6)=>dec10_Address(6),Address(5)=>dec10_Address(5),
            Address(4)=>dec10_Address(4),Address(3)=>dec10_Address(3),Address(2)=>dec10_Address(2),
            Address(1)=>dec10_Address(1),Address(0)=>dec10_Address(0),Q(17)=>dec10_Q(17),
            Q(16)=>dec10_Q(16),Q(15)=>dec10_Q(15),Q(14)=>dec10_Q(14),Q(13)=>dec10_Q(13),
            Q(12)=>dec10_Q(12),Q(11)=>dec10_Q(11),Q(10)=>dec10_Q(10),Q(9)=>dec10_Q(9),
            Q(8)=>dec10_Q(8),Q(7)=>dec10_Q(7),Q(6)=>dec10_Q(6),Q(5)=>dec10_Q(5),
            Q(4)=>dec10_Q(4),Q(3)=>dec10_Q(3),Q(2)=>dec10_Q(2),Q(1)=>dec10_Q(1),
            Q(0)=>dec10_Q(0),OutClock=>dec10_OutClock,OutClockEn=>dec10_OutClockEn,
            Reset=>dec10_Reset);
    
end architecture dec10_rom; -- sbp_module=true 

