

--
-- Verific VHDL Description of module flt_rom
--

library ieee ;
use ieee.std_logic_1164.all ;

entity flt_rom is
    port (f18_Address: in std_logic_vector(9 downto 0);
        f18_Q: out std_logic_vector(17 downto 0);
        f18_OutClock: in std_logic;
        f18_OutClockEn: in std_logic;
        f18_Reset: in std_logic
    );
    
end entity flt_rom; -- sbp_module=true 

architecture flt_rom of flt_rom is 
    component f18 is
        port (Address: in std_logic_vector(9 downto 0);
            Q: out std_logic_vector(17 downto 0);
            OutClock: in std_logic;
            OutClockEn: in std_logic;
            Reset: in std_logic
        );
        
    end component f18; -- not_need_bbox=true 
    
    
    
begin
    f18_inst: component f18 port map (Address(9)=>f18_Address(9),Address(8)=>f18_Address(8),
            Address(7)=>f18_Address(7),Address(6)=>f18_Address(6),Address(5)=>f18_Address(5),
            Address(4)=>f18_Address(4),Address(3)=>f18_Address(3),Address(2)=>f18_Address(2),
            Address(1)=>f18_Address(1),Address(0)=>f18_Address(0),Q(17)=>f18_Q(17),
            Q(16)=>f18_Q(16),Q(15)=>f18_Q(15),Q(14)=>f18_Q(14),Q(13)=>f18_Q(13),
            Q(12)=>f18_Q(12),Q(11)=>f18_Q(11),Q(10)=>f18_Q(10),Q(9)=>f18_Q(9),
            Q(8)=>f18_Q(8),Q(7)=>f18_Q(7),Q(6)=>f18_Q(6),Q(5)=>f18_Q(5),
            Q(4)=>f18_Q(4),Q(3)=>f18_Q(3),Q(2)=>f18_Q(2),Q(1)=>f18_Q(1),
            Q(0)=>f18_Q(0),OutClock=>f18_OutClock,OutClockEn=>f18_OutClockEn,
            Reset=>f18_Reset);
    
end architecture flt_rom; -- sbp_module=true 

