/* Verilog model created from schematic trilby_diag.sch -- Apr 14, 2016 18:14 */

module trilby_diag( a2dq0, a2dq1, a2dq10, a2dq11, a2dq12, a2dq13, a2dq2, a2dq3,
                    a2dq4, a2dq5, a2dq6, a2dq7, a2dq8, a2dq9, AGC_A, audio_l,
                    audio_r, CLK, exp_pin_10, exp_pin_11, exp_pin_12,
                    exp_pin_13, exp_pin_14, exp_pin_15, exp_pin_16,
                    exp_pin_17, exp_pin_18, exp_pin_19, exp_pin_21, exp_pin_3,
                    exp_pin_4, exp_pin_5, exp_pin_6, exp_pin_7, exp_pin_8,
                    exp_pin_9, green_led_d7, mhz_16, mhz_96, orange_led_d8,
                    red_led_d5, res_in, rpi_pin_11, rpi_pin_12, rpi_pin_22,
                    rpi_pin_29, rpi_pin_31, rpi_pin_32, rpi_pin_33,
                    rpi_pin_35, rpi_pin_36, rpi_pin_37, rpi_pin_38,
                    rpi_pin_40, rtc_mfp, rtc_scl, rtc_sda, spi_cs0, spi_cs1,
                    spi_miso, spi_mosi, spi_sclk, tuner_hf, tuner_scl,
                    tuner_sda, uart_rx, uart_tx, unused, yellow_led_d6 );
 input a2dq0
	/* synthesis LOC="D12" */;
 input a2dq1
	/* synthesis LOC="C12" */;
 input a2dq10
	/* synthesis LOC="C17" */;
 input a2dq11
	/* synthesis LOC="A18" */;
 input a2dq12
	/* synthesis LOC="A19" */;
 input a2dq13
	/* synthesis LOC="B19" */;
 input a2dq2
	/* synthesis LOC="B12" */;
 input a2dq3
	/* synthesis LOC="D15" */;
 input a2dq4
	/* synthesis LOC="C15" */;
 input a2dq5
	/* synthesis LOC="B15" */;
 input a2dq6
	/* synthesis LOC="E15" */;
 input a2dq7
	/* synthesis LOC="C16" */;
 input a2dq8
	/* synthesis LOC="D16" */;
 input a2dq9
	/* synthesis LOC="B17" */;
output AGC_A
	/* synthesis LOC="E8" */
	/* synthesis SLEWRATE="SLOW" */;
output audio_l
	/* synthesis LOC="H20" */;
output audio_r
	/* synthesis LOC="K18" */;
 input CLK
	/* synthesis LOC="U16" */;
 inout exp_pin_10
	/* synthesis LOC="J16" */;
 inout exp_pin_11
	/* synthesis LOC="C13" */;
 inout exp_pin_12
	/* synthesis LOC="E19" */;
 inout exp_pin_13
	/* synthesis LOC="D13" */;
 inout exp_pin_14
	/* synthesis LOC="E20" */;
 inout exp_pin_15
	/* synthesis LOC="E13" */;
 inout exp_pin_16
	/* synthesis LOC="F19" */;
 inout exp_pin_17
	/* synthesis LOC="A14" */;
 inout exp_pin_18
	/* synthesis LOC="F20" */;
 inout exp_pin_19
	/* synthesis LOC="C14" */;
 inout exp_pin_21
	/* synthesis LOC="D14" */;
 inout exp_pin_3
	/* synthesis LOC="E12" */;
 inout exp_pin_4
	/* synthesis LOC="H18" */;
 inout exp_pin_5
	/* synthesis LOC="A12" */;
 inout exp_pin_6
	/* synthesis LOC="H17" */;
 inout exp_pin_7
	/* synthesis LOC="A13" */;
 inout exp_pin_8
	/* synthesis LOC="J17" */;
 inout exp_pin_9
	/* synthesis LOC="B13" */;
 inout green_led_d7
	/* synthesis IO_TYPE="LVCMOS25" */
	/* synthesis LOC="G16" */
	/* synthesis SLEWRATE="SLOW" */;
output mhz_16
	/* synthesis LOC="L20" */;
output mhz_96
	/* synthesis LOC="L17" */;
 inout orange_led_d8
	/* synthesis IO_TYPE="LVCMOS25" */
	/* synthesis LOC="H16" */
	/* synthesis SLEWRATE="SLOW" */;
 inout red_led_d5
	/* synthesis IO_TYPE="LVCMOS25" */
	/* synthesis LOC="E18" */
	/* synthesis SLEWRATE="SLOW" */;
 input res_in
	/* synthesis LOC="E14" */;
 inout rpi_pin_11
	/* synthesis LOC="D5" */;
 inout rpi_pin_12
	/* synthesis LOC="G5" */;
 inout rpi_pin_22
	/* synthesis LOC="E4" */;
 inout rpi_pin_29
	/* synthesis LOC="E3" */;
 inout rpi_pin_31
	/* synthesis LOC="E5" */;
 inout rpi_pin_32
	/* synthesis LOC="D1" */;
 inout rpi_pin_33
	/* synthesis LOC="F5" */;
 inout rpi_pin_35
	/* synthesis LOC="A2" */;
 inout rpi_pin_36
	/* synthesis LOC="C1" */;
 inout rpi_pin_37
	/* synthesis LOC="B1" */;
 inout rpi_pin_38
	/* synthesis LOC="C2" */;
 inout rpi_pin_40
	/* synthesis LOC="B2" */;
 inout rtc_mfp
	/* synthesis LOC="E2" */;
 inout rtc_scl
	/* synthesis LOC="B3" */;
 inout rtc_sda
	/* synthesis LOC="A3" */;
 inout spi_cs0
	/* synthesis LOC="E1" */;
 inout spi_cs1
	/* synthesis LOC="D2" */;
 inout spi_miso
	/* synthesis LOC="D3" */;
 inout spi_mosi
	/* synthesis LOC="C3" */;
 inout spi_sclk
	/* synthesis LOC="F4" */;
 inout tuner_hf
	/* synthesis LOC="D8" */;
 inout tuner_scl
	/* synthesis LOC="C6" */;
 inout tuner_sda
	/* synthesis LOC="C7" */;
 inout uart_rx
	/* synthesis LOC="G3" */;
 inout uart_tx
	/* synthesis LOC="H3" */;
 inout unused;
 inout yellow_led_d6
	/* synthesis IO_TYPE="LVCMOS25" */
	/* synthesis LOC="F18" */
	/* synthesis SLEWRATE="SLOW" */;
  wire [4:4] cs;
  wire [47:0] inp;
  wire [47:0] outp;
  wire [47:0] ddir;
  wire [47:0] alt;
  wire [13:0] a2dinq;
  wire [17:0] idec5;
  wire [17:0] qdec5;
  wire [17:0] romdat_dec5;
  wire [9:0] romaddr_dec5;
  wire [17:0] iadc;
  wire [17:0] qadc;
  wire [17:0] romdat_wdec5;
  wire [9:0] romaddr_wdec5;
  wire [7:0] spi_data;
  wire [7:0] rd_data;
  wire [15:0] spi_addr;
  wire [7:0] serial_tx_data;
  wire [7:0] serial_rx_data;
  wire [7:0] serial_data;
  wire [7:0] iic_data;
  wire [15:0] iic_addr;
  wire [7:0] tun_read_data;
  wire [7:0] mux_data;
  wire [15:0] mux_addr;
  wire [15:0] serial_addr;
  wire [15:0] int_addr_out;
  wire [7:0] int_data_out;
  wire [7:0] tun_addr;
  wire [7:0] tun_reg;
  wire [7:0] tun_data;
  wire [7:0] int_data_in;
  wire [17:0] iwdec5;
  wire [17:0] qwdec5;
  wire [17:0] qflt;
  wire [17:0] iflt;
  wire [17:0] romdat_flt;
  wire [9:0] romaddr_flt;
  wire [17:0] imix;
  wire [17:0] qmix;
  wire [17:0] romdat_chan;
  wire [9:0] romaddr_chan;
  wire [17:0] ichan;
  wire [17:0] qchan;
  wire [1:0] flt_sel;
  wire [7:0] rssi;
  wire [17:0] romdata_aud;
  wire [9:0] romaddr_aud;
  wire [17:0] demod_data;
  wire [1:0] audio_sel;
  wire [17:0] audio_dat;
wire N_985;
wire N_986;
wire N_972;
wire N_973;
wire N_974;
wire N_975;
wire N_977;
wire N_978;
wire N_979;
wire N_980;
wire N_981;
wire N_982;
wire N_983;
wire N_984;
wire N_964;
wire N_965;
wire N_968;
wire N_969;
wire N_970;
wire N_971;
wire N_963;
wire hf_ctrl;
wire N_953;
wire N_949;
wire N_950;
wire N_951;
wire N_937;
wire N_938;
wire N_940;
wire N_943;
wire N_944;
wire N_946;
wire N_924;
wire N_925;
wire N_926;
wire N_927;
wire N_928;
wire N_929;
wire N_930;
wire N_931;
wire N_932;
wire N_933;
wire N_918;
wire N_919;
wire N_920;
wire N_923;
wire N_872;
wire N_873;
wire N_847;
wire N_849;
wire N_850;
wire N_853;
wire N_845;
wire N_819;
wire N_826;
wire N_827;
wire reset;
wire N_810;
wire clkfast;
wire N_796;
wire N_762;
wire N_761;
wire N_758;
wire N_759;
wire N_520;
wire N_521;
wire N_522;
wire N_523;
wire N_528;
wire N_529;
wire N_530;
wire N_531;
wire N_536;
wire N_537;
wire N_538;
wire N_539;
wire N_544;
wire N_545;
wire N_546;
wire N_547;
wire N_552;
wire N_553;
wire N_554;
wire N_555;
wire N_560;
wire N_561;
wire N_562;
wire N_563;
wire N_568;
wire N_569;
wire N_570;
wire N_571;
wire N_576;
wire N_577;
wire N_578;
wire N_579;
wire N_632;
wire N_633;
wire N_634;
wire N_635;
wire N_640;
wire N_641;
wire N_642;
wire N_643;
wire N_648;
wire N_649;
wire N_650;
wire N_651;
wire N_656;
wire N_657;
wire N_658;
wire N_659;
wire N_664;
wire N_665;
wire N_666;
wire N_667;
wire N_672;
wire N_673;
wire N_674;
wire N_675;
wire N_680;
wire N_681;
wire N_682;
wire N_683;
wire N_688;
wire N_691;
wire N_722;
wire N_723;
wire N_726;
wire N_727;
wire N_730;
wire N_731;
wire N_734;
wire N_735;
wire N_738;
wire N_739;
wire N_742;
wire N_743;
wire N_746;
wire N_747;
wire N_750;
wire N_752;
wire N_440;
wire N_441;
wire N_443;
wire N_444;
wire N_446;
wire N_447;
wire N_449;
wire N_450;
wire N_455;
wire N_456;
wire N_458;
wire N_459;
wire N_461;
wire N_462;
wire N_465;
wire N_466;
wire N_355;
wire clk24;
wire sclk;


	//pragma attribute a2dq0 LOC D12

	//pragma attribute a2dq1 LOC C12

	//pragma attribute a2dq10 LOC C17

	//pragma attribute a2dq11 LOC A18

	//pragma attribute a2dq12 LOC A19

	//pragma attribute a2dq13 LOC B19

	//pragma attribute a2dq2 LOC B12

	//pragma attribute a2dq3 LOC D15

	//pragma attribute a2dq4 LOC C15

	//pragma attribute a2dq5 LOC B15

	//pragma attribute a2dq6 LOC E15

	//pragma attribute a2dq7 LOC C16

	//pragma attribute a2dq8 LOC D16

	//pragma attribute a2dq9 LOC B17

	//pragma attribute AGC_A LOC E8

	//pragma attribute AGC_A SLEWRATE SLOW

	//pragma attribute audio_l LOC H20

	//pragma attribute audio_r LOC K18

	//pragma attribute CLK LOC U16

	//pragma attribute exp_pin_10 LOC J16

	//pragma attribute exp_pin_11 LOC C13

	//pragma attribute exp_pin_12 LOC E19

	//pragma attribute exp_pin_13 LOC D13

	//pragma attribute exp_pin_14 LOC E20

	//pragma attribute exp_pin_15 LOC E13

	//pragma attribute exp_pin_16 LOC F19

	//pragma attribute exp_pin_17 LOC A14

	//pragma attribute exp_pin_18 LOC F20

	//pragma attribute exp_pin_19 LOC C14

	//pragma attribute exp_pin_21 LOC D14

	//pragma attribute exp_pin_3 LOC E12

	//pragma attribute exp_pin_4 LOC H18

	//pragma attribute exp_pin_5 LOC A12

	//pragma attribute exp_pin_6 LOC H17

	//pragma attribute exp_pin_7 LOC A13

	//pragma attribute exp_pin_8 LOC J17

	//pragma attribute exp_pin_9 LOC B13

	//pragma attribute green_led_d7 IO_TYPE LVCMOS25

	//pragma attribute green_led_d7 LOC G16

	//pragma attribute green_led_d7 SLEWRATE SLOW

	//pragma attribute mhz_16 LOC L20

	//pragma attribute mhz_96 LOC L17

	//pragma attribute orange_led_d8 IO_TYPE LVCMOS25

	//pragma attribute orange_led_d8 LOC H16

	//pragma attribute orange_led_d8 SLEWRATE SLOW

	//pragma attribute red_led_d5 IO_TYPE LVCMOS25

	//pragma attribute red_led_d5 LOC E18

	//pragma attribute red_led_d5 SLEWRATE SLOW

	//pragma attribute res_in LOC E14

	//pragma attribute rpi_pin_11 LOC D5

	//pragma attribute rpi_pin_12 LOC G5

	//pragma attribute rpi_pin_22 LOC E4

	//pragma attribute rpi_pin_29 LOC E3

	//pragma attribute rpi_pin_31 LOC E5

	//pragma attribute rpi_pin_32 LOC D1

	//pragma attribute rpi_pin_33 LOC F5

	//pragma attribute rpi_pin_35 LOC A2

	//pragma attribute rpi_pin_36 LOC C1

	//pragma attribute rpi_pin_37 LOC B1

	//pragma attribute rpi_pin_38 LOC C2

	//pragma attribute rpi_pin_40 LOC B2

	//pragma attribute rtc_mfp LOC E2

	//pragma attribute rtc_scl LOC B3

	//pragma attribute rtc_sda LOC A3

	//pragma attribute spi_cs0 LOC E1

	//pragma attribute spi_cs1 LOC D2

	//pragma attribute spi_miso LOC D3

	//pragma attribute spi_mosi LOC C3

	//pragma attribute spi_sclk LOC F4

	//pragma attribute tuner_hf LOC D8

	//pragma attribute tuner_scl LOC C6

	//pragma attribute tuner_sda LOC C7

	//pragma attribute uart_rx LOC G3

	//pragma attribute uart_tx LOC H3

	//pragma attribute yellow_led_d6 IO_TYPE LVCMOS25

	//pragma attribute yellow_led_d6 LOC F18

	//pragma attribute yellow_led_d6 SLEWRATE SLOW


dec_filter_iq I777 ( .addrout(romaddr_wdec5[9:0]), .clk(clkfast),
                  .idatain(idec5[17:0]), .iout(iwdec5[17:0]),
                  .qdatain(qdec5[17:0]), .qout(qwdec5[17:0]), .res(reset),
                  .romin(romdat_wdec5[17:0]), .sclkin(N_963),
                  .sclkout(N_970), .sel(flt_sel[0]) );
demod I784 ( .am_sel(N_953), .clk(clkfast), .i_in(ichan[17:0]), .mute_in(N_972),
          .q_in(qchan[17:0]), .res(reset), .rssi_out(rssi[7:0]), .sclk(N_986),
          .sclkout(N_985), .sdataout(demod_data[17:0]), .wfm_in(flt_sel[0]) );
io_mux I770 ( .addr_in_0(iic_addr[15:0]), .addr_in_1(serial_addr[15:0]),
           .addr_in_2(spi_addr[15:0]), .addr_out(mux_addr[15:0]),
           .data_in_0(iic_data[7:0]), .data_in_1(serial_data[7:0]),
           .data_in_2(spi_data[7:0]), .data_out(mux_data[7:0]),
           .rd_in_0(N_982), .rd_in_1(N_980), .rd_in_2(N_978), .rd_out(N_925),
           .wr_in_0(N_981), .wr_in_1(N_979), .wr_in_2(N_977), .wr_out(N_924) );
serial_intf I771 ( .addr_out(serial_addr[15:0]), .clk(clkfast),
                .data_in(rd_data[7:0]), .data_out(serial_data[7:0]),
                .rd_out(N_980), .res(reset), .rx_data(serial_rx_data[7:0]),
                .rx_rd(N_931), .rx_rdy(N_932), .tx_data(serial_tx_data[7:0]),
                .tx_rdy(N_933), .tx_wr(N_930), .wr_out(N_979) );
uartrx2k I735 ( .clk(clkfast), .rd(N_931), .res(reset),
             .rx_data_out(serial_rx_data[7:0]), .rx_ready(N_932),
             .serial_in(inp[11]) );
tuner_ctrl I773 ( .addr_in(int_addr_out[15:0]), .am_out(N_953), .clk(clkfast),
               .cs_in(N_949), .data_in(int_data_out[7:0]),
               .data_out(int_data_in[7:0]), .hf_out(hf_ctrl),
               .mute_out(N_972), .res(reset), .rssi_in(rssi[7:0]),
               .tun_addr_out(tun_addr[7:0]),
               .tun_data_in(tun_read_data[7:0]),
               .tun_data_out(tun_data[7:0]), .tun_ready(N_950),
               .tun_reg_out(tun_reg[7:0]), .tun_start(N_940),
               .wfm_out(flt_sel[0]), .wr_in(N_951) );
i2c_master I730 ( .addr_in(tun_addr[7:0]), .clk(clkfast),
               .data_in(tun_data[7:0]), .data_out(tun_read_data[7:0]),
               .ready(N_950), .reg_in(tun_reg[7:0]), .res(reset),
               .scl_in(inp[5]), .scl_out(N_943), .sda_in(inp[4]),
               .sda_out(N_944), .start(N_940) );
io_ctrl I774 ( .addr_in(mux_addr[15:0]), .audio_clk(N_973),
            .audio_l(audio_dat[17:0]), .audio_r(audio_dat[17:0]),
            .blink_out(N_946), .clk(clkfast), .data_in(mux_data[7:0]),
            .data_out(rd_data[7:0]), .i_in(audio_dat[17:0]),
            .int_addr_out(int_addr_out[15:0]), .int_data(int_data_in[7:0]),
            .int_data_out(int_data_out[7:0]), .int_wr_out(N_951),
            .iq_clk(N_973), .pin_dir(ddir[47:0]), .pin_inp(inp[47:0]),
            .pin_mode(alt[47:0]), .pin_outp(outp[47:0]),
            .q_in(audio_dat[17:0]), .rd_in(N_925), .res(reset), .wr_in(N_924) );
VLO I734 ( .Z(N_974) );
VLO I726 ( .Z(N_926) );
VLO I738 ( .Z(N_853) );
VLO I721 ( .Z(N_758) );
VHI I775 ( .Z(N_949) );
VHI I739 ( .Z(N_847) );
VHI I740 ( .Z(N_850) );
VHI I722 ( .Z(N_762) );
MUX21 I741 ( .D0(inp[9]), .D1(N_847), .SD(alt[10]), .Z(N_928) );
MUX21 I742 ( .D0(inp[8]), .D1(N_847), .SD(alt[9]), .Z(N_927) );
MUX21 I743 ( .D0(inp[20]), .D1(N_850), .SD(alt[21]), .Z(N_918) );
MUX21 I744 ( .D0(inp[19]), .D1(N_850), .SD(alt[20]), .Z(N_919) );
MUX21 I745 ( .D0(inp[18]), .D1(N_853), .SD(alt[19]), .Z(N_920) );
MUX21 I578 ( .D0(N_758), .D1(ddir[0]), .SD(alt[0]), .Z(N_466) );
MUX21 I601 ( .D0(N_923), .D1(outp[16]), .SD(alt[16]), .Z(N_577) );
MUX21 I602 ( .D0(N_758), .D1(ddir[16]), .SD(alt[16]), .Z(N_579) );
MUX21 I603 ( .D0(N_762), .D1(ddir[17]), .SD(alt[17]), .Z(N_571) );
MUX21 I604 ( .D0(N_758), .D1(outp[17]), .SD(alt[17]), .Z(N_569) );
MUX21 I605 ( .D0(N_762), .D1(ddir[18]), .SD(alt[18]), .Z(N_563) );
MUX21 I606 ( .D0(N_758), .D1(outp[18]), .SD(alt[18]), .Z(N_561) );
MUX21 I607 ( .D0(N_762), .D1(ddir[19]), .SD(alt[19]), .Z(N_555) );
MUX21 I608 ( .D0(N_758), .D1(outp[19]), .SD(alt[19]), .Z(N_553) );
MUX21 I609 ( .D0(N_762), .D1(ddir[20]), .SD(alt[20]), .Z(N_547) );
MUX21 I610 ( .D0(N_758), .D1(outp[20]), .SD(alt[20]), .Z(N_545) );
MUX21 I611 ( .D0(N_762), .D1(ddir[21]), .SD(alt[21]), .Z(N_539) );
MUX21 I612 ( .D0(N_758), .D1(outp[21]), .SD(alt[21]), .Z(N_537) );
MUX21 I613 ( .D0(N_762), .D1(ddir[22]), .SD(alt[22]), .Z(N_531) );
MUX21 I614 ( .D0(N_758), .D1(outp[22]), .SD(alt[22]), .Z(N_529) );
MUX21 I615 ( .D0(N_762), .D1(ddir[23]), .SD(alt[23]), .Z(N_523) );
MUX21 I616 ( .D0(N_758), .D1(outp[23]), .SD(alt[23]), .Z(N_521) );
MUX21 I617 ( .D0(N_758), .D1(outp[47]), .SD(alt[47]), .Z(N_520) );
MUX21 I618 ( .D0(N_762), .D1(ddir[47]), .SD(alt[47]), .Z(N_522) );
MUX21 I619 ( .D0(N_758), .D1(outp[46]), .SD(alt[46]), .Z(N_528) );
MUX21 I620 ( .D0(N_762), .D1(ddir[46]), .SD(alt[46]), .Z(N_530) );
MUX21 I621 ( .D0(N_758), .D1(outp[45]), .SD(alt[45]), .Z(N_536) );
MUX21 I622 ( .D0(N_762), .D1(ddir[45]), .SD(alt[45]), .Z(N_538) );
MUX21 I623 ( .D0(N_758), .D1(outp[44]), .SD(alt[44]), .Z(N_544) );
MUX21 I624 ( .D0(N_762), .D1(ddir[44]), .SD(alt[44]), .Z(N_546) );
MUX21 I625 ( .D0(N_758), .D1(outp[43]), .SD(alt[43]), .Z(N_552) );
MUX21 I626 ( .D0(N_762), .D1(ddir[43]), .SD(alt[43]), .Z(N_554) );
MUX21 I627 ( .D0(N_758), .D1(outp[42]), .SD(alt[42]), .Z(N_560) );
MUX21 I628 ( .D0(N_762), .D1(ddir[42]), .SD(alt[42]), .Z(N_562) );
MUX21 I629 ( .D0(N_758), .D1(outp[41]), .SD(alt[41]), .Z(N_568) );
MUX21 I630 ( .D0(N_762), .D1(ddir[41]), .SD(alt[41]), .Z(N_570) );
MUX21 I631 ( .D0(N_762), .D1(ddir[40]), .SD(alt[40]), .Z(N_578) );
MUX21 I632 ( .D0(N_758), .D1(outp[40]), .SD(alt[40]), .Z(N_576) );
MUX21 I633 ( .D0(N_758), .D1(outp[8]), .SD(alt[8]), .Z(N_938) );
MUX21 I634 ( .D0(N_796), .D1(ddir[8]), .SD(alt[8]), .Z(N_691) );
MUX21 I635 ( .D0(N_849), .D1(ddir[9]), .SD(alt[9]), .Z(N_683) );
MUX21 I636 ( .D0(N_758), .D1(outp[9]), .SD(alt[9]), .Z(N_681) );
MUX21 I637 ( .D0(N_762), .D1(ddir[10]), .SD(alt[10]), .Z(N_675) );
MUX21 I638 ( .D0(N_758), .D1(outp[10]), .SD(alt[10]), .Z(N_673) );
MUX21 I639 ( .D0(N_762), .D1(ddir[11]), .SD(alt[11]), .Z(N_667) );
MUX21 I640 ( .D0(N_758), .D1(outp[11]), .SD(alt[11]), .Z(N_665) );
MUX21 I641 ( .D0(N_758), .D1(ddir[12]), .SD(alt[12]), .Z(N_659) );
MUX21 I642 ( .D0(N_929), .D1(outp[12]), .SD(alt[12]), .Z(N_657) );
MUX21 I643 ( .D0(N_762), .D1(ddir[13]), .SD(alt[13]), .Z(N_651) );
MUX21 I644 ( .D0(N_758), .D1(outp[13]), .SD(alt[13]), .Z(N_649) );
MUX21 I645 ( .D0(N_762), .D1(ddir[14]), .SD(alt[14]), .Z(N_643) );
MUX21 I646 ( .D0(N_758), .D1(outp[14]), .SD(alt[14]), .Z(N_641) );
MUX21 I647 ( .D0(N_762), .D1(ddir[15]), .SD(alt[15]), .Z(N_635) );
MUX21 I648 ( .D0(N_758), .D1(outp[15]), .SD(alt[15]), .Z(N_633) );
MUX21 I649 ( .D0(N_758), .D1(outp[39]), .SD(alt[39]), .Z(N_632) );
MUX21 I650 ( .D0(N_762), .D1(ddir[39]), .SD(alt[39]), .Z(N_634) );
MUX21 I651 ( .D0(N_758), .D1(outp[38]), .SD(alt[38]), .Z(N_640) );
MUX21 I652 ( .D0(N_762), .D1(ddir[38]), .SD(alt[38]), .Z(N_642) );
MUX21 I653 ( .D0(N_758), .D1(outp[37]), .SD(alt[37]), .Z(N_648) );
MUX21 I654 ( .D0(N_762), .D1(ddir[37]), .SD(alt[37]), .Z(N_650) );
MUX21 I655 ( .D0(N_758), .D1(outp[36]), .SD(alt[36]), .Z(N_656) );
MUX21 I656 ( .D0(N_762), .D1(ddir[36]), .SD(alt[36]), .Z(N_658) );
MUX21 I657 ( .D0(N_758), .D1(outp[35]), .SD(alt[35]), .Z(N_664) );
MUX21 I658 ( .D0(N_762), .D1(ddir[35]), .SD(alt[35]), .Z(N_666) );
MUX21 I659 ( .D0(N_758), .D1(outp[34]), .SD(alt[34]), .Z(N_672) );
MUX21 I660 ( .D0(N_762), .D1(ddir[34]), .SD(alt[34]), .Z(N_674) );
MUX21 I661 ( .D0(N_758), .D1(outp[33]), .SD(alt[33]), .Z(N_680) );
MUX21 I662 ( .D0(N_762), .D1(ddir[33]), .SD(alt[33]), .Z(N_682) );
MUX21 I663 ( .D0(N_762), .D1(ddir[32]), .SD(alt[32]), .Z(N_761) );
MUX21 I664 ( .D0(N_758), .D1(outp[32]), .SD(alt[32]), .Z(N_688) );
MUX21 I665 ( .D0(N_758), .D1(outp[24]), .SD(alt[24]), .Z(N_750) );
MUX21 I666 ( .D0(N_762), .D1(ddir[24]), .SD(alt[24]), .Z(N_752) );
MUX21 I667 ( .D0(N_762), .D1(ddir[25]), .SD(alt[25]), .Z(N_747) );
MUX21 I668 ( .D0(N_758), .D1(outp[25]), .SD(alt[25]), .Z(N_746) );
MUX21 I669 ( .D0(N_762), .D1(ddir[26]), .SD(alt[26]), .Z(N_743) );
MUX21 I670 ( .D0(N_758), .D1(outp[26]), .SD(alt[26]), .Z(N_742) );
MUX21 I671 ( .D0(N_762), .D1(ddir[27]), .SD(alt[27]), .Z(N_739) );
MUX21 I672 ( .D0(N_758), .D1(outp[27]), .SD(alt[27]), .Z(N_738) );
MUX21 I673 ( .D0(N_762), .D1(ddir[28]), .SD(alt[28]), .Z(N_735) );
MUX21 I674 ( .D0(N_758), .D1(outp[28]), .SD(alt[28]), .Z(N_734) );
MUX21 I675 ( .D0(N_762), .D1(ddir[29]), .SD(alt[29]), .Z(N_731) );
MUX21 I676 ( .D0(N_758), .D1(outp[29]), .SD(alt[29]), .Z(N_730) );
MUX21 I677 ( .D0(N_762), .D1(ddir[30]), .SD(alt[30]), .Z(N_727) );
MUX21 I678 ( .D0(N_758), .D1(outp[30]), .SD(alt[30]), .Z(N_726) );
MUX21 I679 ( .D0(N_762), .D1(ddir[31]), .SD(alt[31]), .Z(N_723) );
MUX21 I680 ( .D0(N_758), .D1(outp[31]), .SD(alt[31]), .Z(N_722) );
MUX21 I577 ( .D0(N_946), .D1(outp[0]), .SD(alt[0]), .Z(N_465) );
MUX21 I579 ( .D0(N_758), .D1(ddir[1]), .SD(alt[1]), .Z(N_462) );
MUX21 I580 ( .D0(N_953), .D1(outp[1]), .SD(alt[1]), .Z(N_461) );
MUX21 I581 ( .D0(N_758), .D1(ddir[2]), .SD(alt[2]), .Z(N_459) );
MUX21 I582 ( .D0(flt_sel[0]), .D1(outp[2]), .SD(alt[2]), .Z(N_458) );
MUX21 I583 ( .D0(N_758), .D1(ddir[3]), .SD(alt[3]), .Z(N_456) );
MUX21 I584 ( .D0(hf_ctrl), .D1(outp[3]), .SD(alt[3]), .Z(N_455) );
MUX21 I585 ( .D0(N_944), .D1(ddir[4]), .SD(alt[4]), .Z(N_450) );
MUX21 I586 ( .D0(N_758), .D1(outp[4]), .SD(alt[4]), .Z(N_449) );
MUX21 I587 ( .D0(N_943), .D1(ddir[5]), .SD(alt[5]), .Z(N_447) );
MUX21 I588 ( .D0(N_758), .D1(outp[5]), .SD(alt[5]), .Z(N_446) );
MUX21 I589 ( .D0(N_758), .D1(ddir[6]), .SD(alt[6]), .Z(N_444) );
MUX21 I590 ( .D0(hf_ctrl), .D1(outp[6]), .SD(alt[6]), .Z(N_443) );
MUX21 I591 ( .D0(N_762), .D1(ddir[7]), .SD(alt[7]), .Z(N_441) );
MUX21 I592 ( .D0(N_758), .D1(outp[7]), .SD(alt[7]), .Z(N_440) );
BB I681 ( .B(spi_miso), .I(N_577), .O(inp[16]), .T(N_579) );
BB I682 ( .B(rpi_pin_22), .I(N_569), .O(inp[17]), .T(N_571) );
BB I683 ( .B(spi_sclk), .I(N_561), .O(inp[18]), .T(N_563) );
BB I684 ( .B(spi_cs0), .I(N_553), .O(inp[19]), .T(N_555) );
BB I685 ( .B(spi_cs1), .I(N_545), .O(inp[20]), .T(N_547) );
BB I686 ( .B(rpi_pin_29), .I(N_537), .O(inp[21]), .T(N_539) );
BB I687 ( .B(rpi_pin_31), .I(N_529), .O(inp[22]), .T(N_531) );
BB I688 ( .B(rpi_pin_32), .I(N_521), .O(inp[23]), .T(N_523) );
BB I689 ( .B(exp_pin_21), .I(N_520), .O(inp[47]), .T(N_522) );
BB I690 ( .B(exp_pin_19), .I(N_528), .O(inp[46]), .T(N_530) );
BB I691 ( .B(exp_pin_18), .I(N_536), .O(inp[45]), .T(N_538) );
BB I692 ( .B(exp_pin_17), .I(N_544), .O(inp[44]), .T(N_546) );
BB I693 ( .B(exp_pin_16), .I(N_552), .O(inp[43]), .T(N_554) );
BB I694 ( .B(exp_pin_15), .I(N_560), .O(inp[42]), .T(N_562) );
BB I695 ( .B(exp_pin_14), .I(N_568), .O(inp[41]), .T(N_570) );
BB I696 ( .B(exp_pin_13), .I(N_576), .O(inp[40]), .T(N_578) );
BB I697 ( .B(rtc_sda), .I(N_938), .O(inp[8]), .T(N_691) );
BB I698 ( .B(rtc_scl), .I(N_681), .O(inp[9]), .T(N_683) );
BB I699 ( .B(rtc_mfp), .I(N_673), .O(inp[10]), .T(N_675) );
BB I700 ( .B(uart_rx), .I(N_665), .O(inp[11]), .T(N_667) );
BB I701 ( .B(uart_tx), .I(N_657), .O(inp[12]), .T(N_659) );
BB I702 ( .B(rpi_pin_11), .I(N_649), .O(inp[13]), .T(N_651) );
BB I703 ( .B(rpi_pin_12), .I(N_641), .O(inp[14]), .T(N_643) );
BB I704 ( .B(spi_mosi), .I(N_633), .O(inp[15]), .T(N_635) );
BB I705 ( .B(exp_pin_12), .I(N_632), .O(inp[39]), .T(N_634) );
BB I706 ( .B(exp_pin_11), .I(N_640), .O(inp[38]), .T(N_642) );
BB I707 ( .B(exp_pin_10), .I(N_648), .O(inp[37]), .T(N_650) );
BB I708 ( .B(exp_pin_9), .I(N_656), .O(inp[36]), .T(N_658) );
BB I709 ( .B(exp_pin_8), .I(N_664), .O(inp[35]), .T(N_666) );
BB I710 ( .B(exp_pin_7), .I(N_672), .O(inp[34]), .T(N_674) );
BB I711 ( .B(exp_pin_6), .I(N_680), .O(inp[33]), .T(N_682) );
BB I712 ( .B(exp_pin_5), .I(N_688), .O(inp[32]), .T(N_761) );
BB I713 ( .B(rpi_pin_33), .I(N_750), .O(inp[24]), .T(N_752) );
BB I714 ( .B(rpi_pin_35), .I(N_746), .O(inp[25]), .T(N_747) );
BB I715 ( .B(rpi_pin_36), .I(N_742), .O(inp[26]), .T(N_743) );
BB I716 ( .B(rpi_pin_37), .I(N_738), .O(inp[27]), .T(N_739) );
BB I717 ( .B(rpi_pin_38), .I(N_734), .O(inp[28]), .T(N_735) );
BB I718 ( .B(rpi_pin_40), .I(N_730), .O(inp[29]), .T(N_731) );
BB I719 ( .B(exp_pin_3), .I(N_726), .O(inp[30]), .T(N_727) );
BB I720 ( .B(exp_pin_4), .I(N_722), .O(inp[31]), .T(N_723) );
BB I593 ( .B(unused), .I(N_440), .O(inp[7]), .T(N_441) );
BB I594 ( .B(tuner_hf), .I(N_443), .O(inp[6]), .T(N_444) );
BB I595 ( .B(tuner_scl), .I(N_446), .O(inp[5]), .T(N_447) );
BB I596 ( .B(tuner_sda), .I(N_449), .O(inp[4]), .T(N_450) );
BB I597 ( .B(orange_led_d8), .I(N_455), .O(inp[3]), .T(N_456) );
BB I598 ( .B(green_led_d7), .I(N_458), .O(inp[2]), .T(N_459) );
BB I599 ( .B(yellow_led_d6), .I(N_461), .O(inp[1]), .T(N_462) );
BB I600 ( .B(red_led_d5), .I(N_465), .O(inp[0]), .T(N_466) );
uartbuf5b I736 ( .clk(clkfast), .data_in(serial_tx_data[7:0]), .res(reset),
              .tx_out(N_929), .tx_ready(N_933), .wr(N_930) );
spislave I769 ( .addr_out(spi_addr[15:0]), .clk(clkfast), .cs0_in(N_919),
             .cs1_in(N_918), .data_in(rd_data[7:0]),
             .data_out(spi_data[7:0]), .miso_out(N_923), .mosi_in(inp[15]),
             .rd_out(N_978), .res(reset), .sclk_in(N_920), .wr_out(N_977) );
i2cslave I772 ( .addr_out(iic_addr[15:0]), .clk(clkfast),
             .data_in(rd_data[7:0]), .data_out(iic_data[7:0]),
             .rd_out(N_982), .res(reset), .scl_in(N_928), .scl_out(N_849),
             .sda_in(N_927), .sda_out(N_796), .wr(N_926), .wr_out(N_981) );
AND2 I523 ( .A(hf_ctrl), .B(clkfast), .Z(N_845) );
adc_sync I733 ( .adcclk(clk24), .adcin(a2dinq[13:0]), .fastclk(clkfast),
             .iout(iadc[17:0]), .qout(qadc[17:0]), .sclk(N_873) );
audio_pwm I732 ( .clk(clkfast), .data_in(audio_dat[17:0]), .pwm_out(N_975),
              .res(reset), .sclk(N_973) );
aud_rom I760 ( .a18_Address(romaddr_aud[9:0]), .a18_OutClock(clkfast),
            .a18_OutClockEn(N_984), .a18_Q(romdata_aud[17:0]),
            .a18_Reset(N_983) );
chf_rom I746 ( .c18_Address(romaddr_chan[9:0]), .c18_OutClock(clkfast),
            .c18_OutClockEn(N_964), .c18_Q(romdat_chan[17:0]),
            .c18_Reset(N_965) );
flt_rom I747 ( .f18_Address(romaddr_flt[9:0]), .f18_OutClock(clkfast),
            .f18_OutClockEn(N_969), .f18_Q(romdat_flt[17:0]),
            .f18_Reset(N_968) );
dec10_rom I778 ( .dec10_Address(romaddr_wdec5[9:0]), .dec10_OutClock(clkfast),
              .dec10_OutClockEn(N_872), .dec10_Q(romdat_wdec5[17:0]),
              .dec10_Reset(N_819) );
rom1kx18 I497 ( .r18_Address(romaddr_dec5[9:0]), .r18_OutClock(clkfast),
             .r18_OutClockEn(N_827), .r18_Q(romdat_dec5[17:0]),
             .r18_Reset(N_826) );
pll96 I518 ( .pll_24_to_96_CLKI(N_810), .pll_24_to_96_CLKOP(clkfast),
          .pll_24_to_96_CLKOS(clk24), .pll_24_to_96_CLKOS2(N_355) );
filter_iq I780 ( .addrout(romaddr_aud[9:0]), .clk(clkfast),
              .idatain(demod_data[17:0]), .iout(audio_dat[17:0]),
              .qdatain(demod_data[17:0]), .res(reset),
              .romin(romdata_aud[17:0]), .sclkin(N_985), .sclkout(N_973),
              .sel(audio_sel[1:0]) );
filter_iq I779 ( .addrout(romaddr_chan[9:0]), .clk(clkfast),
              .idatain(imix[17:0]), .iout(ichan[17:0]), .qdatain(qmix[17:0]),
              .qout(qchan[17:0]), .res(reset), .romin(romdat_chan[17:0]),
              .sclkin(N_971), .sclkout(N_986), .sel(flt_sel[1:0]) );
filter_iq I529 ( .addrout(romaddr_flt[9:0]), .clk(clkfast),
              .idatain(iwdec5[17:0]), .iout(iflt[17:0]),
              .qdatain(qwdec5[17:0]), .qout(qflt[17:0]), .res(reset),
              .romin(romdat_flt[17:0]), .sclkin(N_970), .sclkout(N_971),
              .sel(flt_sel[1:0]) );
dec_by_5_iq I466 ( .addrout(romaddr_dec5[9:0]), .clk(clkfast),
                .idatain(iadc[17:0]), .iout(idec5[17:0]),
                .qdatain(qadc[17:0]), .qout(qdec5[17:0]), .res(reset),
                .romin(romdat_dec5[17:0]), .sclkin(N_873), .sclkout(N_963) );
mix_iq I533 ( .clk(clkfast), .idatain(iflt[17:0]), .iout(imix[17:0]),
           .qdatain(qflt[17:0]), .qout(qmix[17:0]), .res(reset),
           .sclkin(N_971) );
VLO I782 ( .Z(audio_sel[0]) );
VLO I783 ( .Z(audio_sel[1]) );
VLO I764 ( .Z(N_983) );
VLO I781 ( .Z(flt_sel[1]) );
VLO I754 ( .Z(N_965) );
VLO I755 ( .Z(N_968) );
VLO I530 ( .Z(N_819) );
VLO I468 ( .Z(N_826) );
VHI I765 ( .Z(N_984) );
VHI I757 ( .Z(N_964) );
VHI I758 ( .Z(N_969) );
VHI I531 ( .Z(N_872) );
VHI I470 ( .Z(N_827) );
OB I214 ( .I(N_974), .O(AGC_A) );
OB I520 ( .I(N_975), .O(audio_r) );
OB I510 ( .I(N_975), .O(audio_l) );
OB I502 ( .I(N_845), .O(mhz_96) );
OB I519 ( .I(N_355), .O(mhz_16) );
IB I10 ( .I(res_in), .O(reset) );
IB I11 ( .I(CLK), .O(N_810) );
IB I51 ( .I(a2dq13), .O(a2dinq[13]) );
IB I52 ( .I(a2dq12), .O(a2dinq[12]) );
IB I53 ( .I(a2dq11), .O(a2dinq[11]) );
IB I54 ( .I(a2dq10), .O(a2dinq[10]) );
IB I55 ( .I(a2dq9), .O(a2dinq[9]) );
IB I56 ( .I(a2dq8), .O(a2dinq[8]) );
IB I57 ( .I(a2dq7), .O(a2dinq[7]) );
IB I58 ( .I(a2dq6), .O(a2dinq[6]) );
IB I59 ( .I(a2dq5), .O(a2dinq[5]) );
IB I60 ( .I(a2dq4), .O(a2dinq[4]) );
IB I61 ( .I(a2dq3), .O(a2dinq[3]) );
IB I62 ( .I(a2dq2), .O(a2dinq[2]) );
IB I63 ( .I(a2dq1), .O(a2dinq[1]) );
IB I64 ( .I(a2dq0), .O(a2dinq[0]) );

endmodule // trilby_diag
